Subject: Re: linux-next: manual merge of the drm-misc tree with Linus' tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 1 Jul 2025 13:20:40 +1000

Hi all,

Sorry, this was actually a conflict between the amdgpu tree and Linus'
tree.

On Tue, 1 Jul 2025 12:57:05 +1000 Stephen Rothwell <[email-masked]> wrote:
>
> On Tue, 1 Jul 2025 12:54:43 +1000 Stephen Rothwell <[email-masked]> wrote:
> >
> > Today's linux-next merge of the drm-misc tree got a conflict in:
> > 
> >   drivers/gpu/drm/amd/amdgpu/amdgpu_fence.c
> > 
> > between commit:
> > 
> >   ebe43542702c ("drm/amdgpu: switch job hw_fence to amdgpu_fence")
> > 
> > from Linus' tree and commit:
> > 
> >   d0c35c84dcfa ("drm/amdgpu: remove job parameter from amdgpu_fence_emit()")
> > 
> > from the drm-misc tree.
> > 
> > I fixed it up (see below) and can carry the fix as necessary. This
> > is now fixed as far as linux-next is concerned, but any non trivial
> > conflicts should be mentioned to your upstream maintainer when your tree
> > is submitted for merging.  You may also want to consider cooperating
> > with the maintainer of the conflicting tree to minimise any particularly
> > complex conflicts.  
> 
> I used the latter version of the conflicting section.

-- 
Cheers,
Stephen Rothwell